Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.impl.db
Class DBSettingsService

    java.lang.Object
      org.jbpm.form.builder.services.impl.db.DBSettingsService

All Implemented Interfaces:
  SettingsService

    public class DBSettingsService

extends Object
implements SettingsService

Constructor Summary
`DBSettingsService()`

Method Summary
`void` | `applySettings(Settings settings, String userName)`
`void` | `applySettingsGWT(Map<String,Object> settingsDto, String userName)`
`Settings` | `getSettingsByUserId(String userName)`
`Map<String,Object>` | `getSettingsByUserIdGWT(String userName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBSettingsService

    public DBSettingsService()

Method Detail

### getSettingsByUserId

    public Settings getSettingsByUserId(String userName)

  Specified by:
    `getSettingsByUserId` in interface `SettingsService`

### applySettings

    public void applySettings(Settings settings,
                              String userName)

  Specified by:
    `applySettings` in interface `SettingsService`

### getSettingsByUserIdGWT

    public Map<String,Object> getSettingsByUserIdGWT(String userName)

  Specified by:
    `getSettingsByUserIdGWT` in interface `SettingsService`

### applySettingsGWT

    public void applySettingsGWT(Map<String,Object> settingsDto,
                                 String userName)

  Specified by:
    `applySettingsGWT` in interface `SettingsService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.